Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint
Class ConstraintMatchTotal

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatchTotal

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatchTotal>

Direct Known Subclasses:
  BigDecimalConstraintMatchTotal, DoubleConstraintMatchTotal, IntConstraintMatchTotal, LongConstraintMatchTotal

    public abstract class ConstraintMatchTotal

extends Object
implements Serializable, Comparable<ConstraintMatchTotal>

See Also:
  Serialized Form

Field Summary
`protected String` | `constraintName`
`protected String` | `constraintPackage`
`protected int` | `scoreLevel`

Constructor Summary
`protected` | `ConstraintMatchTotal(String constraintPackage, String constraintName, int scoreLevel)`

Method Summary
`int` | `compareTo(ConstraintMatchTotal other)`
`protected List<Object>` | `extractJustificationList(org.kie.api.runtime.rule.RuleContext kcontext)`
`String` | `getConstraintId()`
`int` | `getConstraintMatchCount()`
`abstract Set<? extends ConstraintMatch>` | `getConstraintMatchSet()`
`String` | `getConstraintName()`
`String` | `getConstraintPackage()`
`String` | `getIdentificationString()`
`int` | `getScoreLevel()`
`abstract Number` | `getWeightTotalAsNumber()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraintPackage

    protected final String constraintPackage

### constraintName

    protected final String constraintName

### scoreLevel

    protected final int scoreLevel

Constructor Detail

### ConstraintMatchTotal

    protected ConstraintMatchTotal(String constraintPackage,
                                   String constraintName,
                                   int scoreLevel)

Method Detail

### getConstraintPackage

    public String getConstraintPackage()

### getConstraintName

    public String getConstraintName()

### getScoreLevel

    public int getScoreLevel()

### getConstraintId

    public String getConstraintId()

### getConstraintMatchSet

    public abstract Set<? extends ConstraintMatch> getConstraintMatchSet()

### getConstraintMatchCount

    public int getConstraintMatchCount()

### getWeightTotalAsNumber

    public abstract Number getWeightTotalAsNumber()

### extractJustificationList

    protected List<Object> extractJustificationList(org.kie.api.runtime.rule.RuleContext kcontext)

### getIdentificationString

    public String getIdentificationString()

### compareTo

    public int compareTo(ConstraintMatchTotal other)

  Specified by:
    `compareTo` in interface `Comparable<ConstraintMatchTotal>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.